<p class="aworks">a works!</p>
<form [formGroup]="loginForm" (ngSubmit)="login()">
    <label>username</label>
    <input type="text" formControlName="username">{{ this.loginForm.value.username  }}
    <span [hidden]="loginForm.controls.username?.valid">Please provide username.</span>
    <br>
    <div >

      <label>City</label>
      <input type="text"  formControlName="city">
      </div>
    <br>
  <button [disabled]="!loginForm.valid" type="submit">log in</button>
  <label>Copy Username : </label>
    <input type="text"  formControlName="copyUsername">
  </form>  
<b class="cardRed">teteteava</b>